KDE 4.2 PyKDE API Reference

- KDE's Python API

# SearchCreateJob Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Job → KCompositeJob → KJob → QObject
Namespace: Akonadi

## Detailed Description

Job that creates a virtual/search collection in the Akonadi storage.

This job creates so called virtual or search collections, which don't contain real data, but references to items that match a given search query.

     const QString name = "My search folder";
     const QString query = "...";

     Akonadi.SearchCreateJob *job = new Akonadi.SearchCreateJob( name, query );
     if ( job->exec() )
       qDebug() << "Created search folder successfully";
     else
       qDebug() << "Error occurred";

To do: Add method that returns the new search collection.

Author:
  Volker Krause <vkrause@kde.org>

## Methods

| __init__ (self, QString name, QString query, QObject parent=0)
| doStart (self)

## Method Documentation

__init__ | ( | self, |
|  | QString | name,
|  | QString | query,
|  | QObject | parent=0
| ) |  |  |

Creates a search create job.

Parameters:

  | name | The name of the search collection.
  | query | The search query (format not defined yet).
  | parent | The parent object.

doStart | ( |  | self ) |